<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" (click)="buscar()">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="!dataGrid.length">
    <i class="fas fa-file-excel mr-2"></i>Excel
  </button>
  <button class="btn btn-danger mr-1 ml-1" (click)="exportPdf()" [disabled]="!dataGrid.length">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group">
          <label>Desde</label>
          <kendo-datepicker formControlName="fFec1" [format]="formatKendo" class="w-100">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group">
          <label>Hasta</label>
          <kendo-datepicker formControlName="fFec2" [format]="formatKendo" class="w-100" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group">
          <label>Banco</label>
          <kendo-combobox [data]="bancosList" [textField]="'bdesc'" [valueField]="'Banco'"
            [placeholder]="'Seleccionar Banco'" [valuePrimitive]="true" formControlName="iInt1" class="w-100">
          </kendo-combobox>
        </div>
      </div>
    </form>

    <ng-container *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
        [pageSize]="pageSize" [sortable]="true" filterable="menu" [skip]="skip"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 58vh;">
        <ng-template kendoGridToolbarTemplate>
          <div class="text-center font-weight-bold">
            Depósitos
          </div>
        </ng-template>
        <ng-container *ngIf="dataGrid.length !== 0">
          <kendo-grid-column field="NoReserv" title="#Rsrv." width="140">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Secuencia" title="Sec." width="90" filterable="false">
          </kendo-grid-column>
          <kendo-grid-column field="NoDeposito" title="# Dep." width="150">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Fecha" title="Fecha" width="140">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Fecha | date: formatKendo }}
            </ng-template>
            <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
              <date-range-filter [field]="column.field" [filter]="filter" [filterService]="filterService">
              </date-range-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="FP" title="F.P." width="120">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Mon." width="130">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="ImporteNeto" title="Importe Neto" width="160" class="text-right" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.ImporteNeto | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Comision" title="Comisión" width="140" class="text-right" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Comision | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Miscelaneos" title="Miscelaneos" width="150" class="text-right" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Miscelaneos | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="TipoCambio" title="T.C." width="100" class="text-right" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.TipoCambio | kendoNumber:'##.00' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="ImporteTotal" title="Importe Total" width="160" class="text-right"
            filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.ImporteTotal | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="TM" title="TM" width="120">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Ope" title="Ope." width="120">
            <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
              let-filterService="filterService">
              <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
                [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
              </multicheck-filter>
            </ng-template>
          </kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>{{ noRecords }}</ng-template>
      </kendo-grid>
      <kendo-grid [kendoGridBinding]="dataExt" [selectable]="true" [resizable]="true" [navigable]="true"
        style="height: 35vh;">
        <ng-template kendoGridToolbarTemplate>
          <div class="text-center font-weight-bold">
            Formas de Pago
          </div>
        </ng-template>
        <ng-container *ngIf="dataExt.length !== 0">
          <kendo-grid-column field="TM" title="TM" width="150"> </kendo-grid-column>
          <kendo-grid-column field="FP" title="F.P." width="150"></kendo-grid-column>
          <kendo-grid-column field="Descripcion" title="Descipción" width="150"></kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Mon." width="150"></kendo-grid-column>
          <kendo-grid-column field="Importe" title="Importe" width="150" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Importe | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="TotalMN" title="Total M.N." width="150" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.TotalMN | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </ng-container>

    <div class="row" *ngIf="dsCierreDiario && !loading">

      <div class="form-group col">
        <div class="card-shadow-primary mb-3 widget-chart widget-chart2 card">
          <div class="widget-chat-wrapper-outer">
            <div class="widget-chart-content">
              <h6 class="widget-subheading">Saldo Inicial:</h6>
              <div class="widget-chart-flex">
                <div class="widget-numbers mb-0 w-100">
                  <div class="fsize-3 text-right">
                    {{ dsCierreDiario.SaldoInicial | currency: 'MXN' }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="form-group col">
        <div class="card-shadow-primary mb-3 widget-chart widget-chart2 card">
          <div class="widget-chat-wrapper-outer">
            <div class="widget-chart-content">
              <h6 class="widget-subheading">Depositos:</h6>
              <div class="widget-chart-flex">
                <div class="widget-numbers mb-0 w-100">
                  <div class="fsize-3 text-right">
                    {{ dsCierreDiario.Depositos | currency: 'MXN' }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="form-group col">
        <div class="card-shadow-primary mb-3 widget-chart widget-chart2 card">
          <div class="widget-chat-wrapper-outer">
            <div class="widget-chart-content">
              <h6 class="widget-subheading">Transferido:</h6>
              <div class="widget-chart-flex">
                <div class="widget-numbers mb-0 w-100">
                  <div class="fsize-3 text-right">
                    {{ dsCierreDiario.Transferidos | currency: 'MXN' }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="form-group col">
        <div class="card-shadow-primary mb-3 widget-chart widget-chart2 card">
          <div class="widget-chat-wrapper-outer">
            <div class="widget-chart-content">
              <h6 class="widget-subheading">Cxld:</h6>
              <div class="widget-chart-flex">
                <div class="widget-numbers mb-0 w-100">
                  <div class="fsize-3 text-right">
                    {{ dsCierreDiario.Cxld | currency: 'MXN' }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col">
        <div class="card-shadow-primary mb-3 widget-chart widget-chart2 card">
          <div class="widget-chat-wrapper-outer">
            <div class="widget-chart-content">
              <h6 class="widget-subheading"> Saldo Final:</h6>
              <div class="widget-chart-flex">
                <div class="widget-numbers mb-0 w-100">
                  <div class="fsize-3 text-right">
                    {{ dsCierreDiario.SaldoFinal | currency: 'MXN' }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <app-loading *ngIf="loading"></app-loading>
  </div>
</div>